Subject: Re: bug#28461: erreurs

From: R0b0t1 <[email-masked]>
Date: Fri, 15 Sep 2017 23:23:31 -0500

On Fri, Sep 15, 2017 at 12:45 AM, Bernhard Voelker
<[email-masked]> wrote:
> And finally - when it comes to shell pattern globbing - it could
> do an extra check if the offending argument is an existing file
> similar to latest 'find' [1]:
>
>   $ touch a b c
>   $ ../find/find -name *
>   find: paths must precede expression: `b'
>   find: possible unquoted pattern after predicate `-name'?
>
> [1] https://git.sv.gnu.org/cgit/findutils.git/commit/?id=9530e31f6d
>
> WDYT?
>

I think the proposed change is useful.

For consistency's sake, I feel like I need to point out that I
suggested a similar change to "rm" (check to make sure $HOME was not a
target) and one of the arguments against such a check was that the
file operations necessary to do so would take too much time. It may be
a good idea to consider that in this case as well. I personally do not
understand how this might be the case, but I admit to possessing no
great intellect.

Respectfully,
     R0b0t1